[package]
name = "single_node_sequencer_v2"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
futures = "0.3.30"
tokio = "1.35.1"
tokio-stream = { version = "0.1.14", features = ["sync"] }
anyhow = "1.0.79"
tracing-subscriber = { version = "0.3.18", features = ["env-filter"] }
tracing = "0.1.40"
jsonrpsee = { version="0.21.0", features = ["server", "http-client", "ws-client", "macros", "client-ws-transport-native-tls"] }
jsonrpsee-core = "0.21.0"
tower = { version = "0.4.13", features = ["full"] }
hyper = "0.14.28"
tower-http = { version = "0.5.1", features = ["full"] }
serde = { version = "1.0.196", features = ["derive"] }
async-channel = "2.1.1"
http = "0.2.11"
rand = "0.8.5"
